Monday, April 22, 2013

QupZilla 1.4.2 released!

Second bugfix version in 1.4 cycle is now released.
  • don't limit speed of loading animation in tabbar
  • fixed loading HTML5 videos on YouTube
  • fixed saving cursive font in fonts preferences
  • fixed translating edit actions in page context menu
  • fixed connecting to older secured servers by forcing older SSL protocol
  • fixed installing bash completions to correct folder
  • fixed deleting lockfile upon closing application
  • fixed occasional crash when extracting form data from page
  • fixed crash in akn plugin while closing tab with labels shown
  • fixed crash on close when tabs on top is enabled with oxygen theme
  • GreaseMonkey: fixed laoding scripts with last line commented
  • mac: correctly refreshing state of menus
  • mac: added dock menu with basic actions

Download: source code
Edit: Windows builds are available now. Built with QtWebKit 2.3 and MSVC 2008 (however, still suffering from GIF crashes as noted in 1.4.1 release post)


25 comments:

  1. That's strange, I'm using Ubuntu (Gnome Remix) 12.10, and it had just updated to version 1.5! What happened?

    ReplyDelete
    Replies
    1. I have uploaded bad version to PPA. Working on fix right now.

      Delete
    2. The same on Chakra. Check the github archive too, because Chakra package is compiled from that one ;)

      Delete
    3. @Anonymous Should be fixed now in PPA.

      @FranzMari If Chakra compiled from master branch then it is alright. For stable version use "v1.4" branch.

      Delete
    4. It uses this tarball "https://github.com/QupZilla/QupZilla/tarball/master/QupZilla-qupzilla-1.4.2.tar.gz".

      Delete
    5. I guess this one is pulling master branch.
      Use this link instead:
      https://github.com/QupZilla/qupzilla/archive/v1.4.2.tar.gz

      Delete
    6. Thanks, it fixed the issue.

      Delete
  2. Hi David Rosca

    I hope that this version (QupZilla 1.4.2 ) is compatible with Microsoft outlook E-Mail services

    Best Regards

    ReplyDelete
    Replies
    1. Every version is compatible with ms outlook, it's only microsoft who think it's not. You can set firefox's user agent for outlook site in user agent switcher.

      Delete
    2. I'd also like very much to use the new version in Windos 2000. QupZilla is the best, if not the only browser I can use on W2K. But I don't see the "oldwin" version. Can I use the new "portable" or "win install" version in W2K? Thanks in advance.

      Delete
  3. Does there 1.5 test build for windows user?
    And 1.4.2 windows build........

    ReplyDelete
  4. David,
    if it's viable for you, could you please build an MS Windows version of QupZilla 1.4.2 with msvc2008 so that it works on even on Win 2000 SP4? The 'old win' version you did last time.

    Then, you did it with these versions of things:
    qupzilla141-oldwin.zip (built w msvc2008):

    QtCore4.dll 4.8.2.0
    QtGui4.dll 4.8.2.0
    QtNetwork4.dll 4.8.2.0
    QtScript.dll 4.8.2.0
    QtSql4.dll 4.8.2.0
    QtWebKit4.dll 4.9.2.0

    On the other hand QupZilla 1.3.5, which works very well on Win 2000 SP4 (thanks!) has these versions:

    QtCore4.dll 4.8.3.0
    QtGui4.dll 4.8.3.0
    QtNetwork4.dll 4.8.3.0
    QtScript.dll 4.8.3.0
    QtSql4.dll 4.8.3.0
    QtWebKit4.dll 4.9.3.0 WebKit 534.34

    Have you succeded at all to build QupZilla 1.4.x on MS Windows with msvc2008 + QtWebKit 2.2.3? Or was that just a bunch of problems hitting you?

    Did you ever manage, or even attempt, to get QtWebKit 2.3 (Qt 4.8.4) to build using MSVC2008? Which would then make it run on Windows 2000 SP4 :-) Perhaps that's not viable/possible I have no idea

    Regards,
    /M





    ReplyDelete
    Replies
    1. Hi,
      yes it will be shipped with QtWebKit 2.3 built with MSVC2008.
      However, there is still this issue with GIF crashes ...

      Delete
    2. New windows build much fast than 1.41.
      Congrats!

      Delete
  5. > yes it will be shipped with QtWebKit 2.3 built with MSVC2008.
    > However, there is still this issue with GIF crashes ...

    Excellent, thanks a lot. QtWebKit 2.3 = Qt 4.8.4 + WebKit 537.21. Recent, nice!

    The anim GIF crash yeah... But it's there when you build it with MSVC2010 as well so no difference in that, right? I've seen it happen a few times (on my Win XP SP3 Home), but only on pages with really excessive amounts of anim GIFs. I hate that stuff anyway and always disable anim GIFs completely if there's any way at all to do that in the Browser. AFAIK there's not in QupZilla :-( (nor in Google Chrome) but there is that Greasemonkey script I found which makes the ESC key work just like in Firefox, stopping all anim short. That's the best workaround for the problem I know of. (I haven't tried it out yet though.)

    /M

    ReplyDelete
  6. Facebook chat still not working for me :/
    Tell me how to fix it pls or i'll stay to firefox!
    My System: Qupzilla 1.4.2 Windows 7 32bit
    Thanks for help!

    ReplyDelete
    Replies
    1. Hello, in version 1.4.2 if it works the chat, go to Tools -> Preferences-> General-> Other-> User Agent Manager you click use different agents to specific sites, then click on add on domain site places "facebook.com "and user agent placed" Mozilla/5.0 (Windows XP) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.77 Safari/535.7 ", restart your browser and go.

      Pardon my English as it is not my native language and use a translator.

      Delete
  7. popup´s doesn´t work, are they disabled by default? i want enable popups for some websites. some popups doesn´t open in qupzilla but working in other browsers (opera,ff,chrome,apple)

    ReplyDelete
  8. Hi David,

    Thank you for this great browser, I really like it.

    I have a problem though. QupZilla 1.4.x constantly crashes with JavaScript enabled. With JavaScript disabled everything works fine. With QupZilla Old Windows Version everything works fine even with JavaScript enabled.

    OS: XP SP3

    Could you help me figure out what seems to be the problem and how to fix it please?

    ReplyDelete
  9. Hi David, thanks for your work, the browser is awesome, I'm using the default browser at work and at the office and so far is very stable.

    I would like to know which direction you took??, The browser will seem more to Opera??, In Firefox??, To Chrome?? or will their own way??.

    Why did not I default facebook chat? and the previously indicated configiracion agent "Mozilla/5.0 (Windows XP) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.77 Safari/535.7" if it works?

    Again thank you very much for you work and I hope in the near future this browser has the acojida it deserves.

    I apologize for the English, as it is not my native language u use a translator.

    ReplyDelete
    Replies
    1. Hi, great, so this is a user-agent issue. I'll test it and add it as a default user-agent for facebook.com

      Delete
  10. Hi David, and first of all -- thankx for the greatest browser I am using on my netbook. Just one question: is there any special options to build QtWebKit version 2.3.2 to use it with QupZilla? I have Qt 4.8.5 built by myself, my system is CentOS 6.4 32-bit. Is

    Tools/Scripts/build-webkit --qt --release --no-webkit2

    good enough or I need something more?

    ReplyDelete
  11. Wow that was strange. I just wrote an incredibly long comment but after I
    clicked submit my comment didn't appear. Grrrr...
    well I'm not writing all that over again. Regardless, just wanted to say superb blog!


    Here is my weblog ... party planning ideas ()

    ReplyDelete
  12. Hi, Just wondering if there is a setting in Qupzilla that lets me view my Office365 account? I can only view the lightweight version and I have tried all the user agents. I'm on version 1.6.0 on xp sp3. Really like the browser by the way!

    ReplyDelete